Search for %s

  1. Search 7.x for %s
  2. Search 9.5.x for %s
  3. Search 8.9.x for %s
  4. Search 11.x for %s
  5. Search main for %s
  6. Other projects
Title Object type File name Summary
PagerParametersInterface.php file core/lib/Drupal/Core/Pager/PagerParametersInterface.php
PagerParametersInterface::findPage function core/lib/Drupal/Core/Pager/PagerParametersInterface.php Returns the current page being requested for display within a pager.
PagerParametersInterface::getPagerParameter function core/lib/Drupal/Core/Pager/PagerParametersInterface.php Gets the 'page' query parameter for the current request.
PagerParametersInterface::getPagerQuery function core/lib/Drupal/Core/Pager/PagerParametersInterface.php Gets the request query parameter.
PagerParametersInterface::getQueryParameters function core/lib/Drupal/Core/Pager/PagerParametersInterface.php Gets all request URL query parameters that are unrelated to paging.
PagerPluginBase class core/modules/views/src/Plugin/views/pager/PagerPluginBase.php Base class for views pager plugins.
PagerPluginBase.php file core/modules/views/src/Plugin/views/pager/PagerPluginBase.php
PagerPluginBase::$current_page property core/modules/views/src/Plugin/views/pager/PagerPluginBase.php
PagerPluginBase::$headingOptions property core/modules/views/src/Plugin/views/pager/PagerPluginBase.php Options available for setting pagination headers.
PagerPluginBase::$total_items property core/modules/views/src/Plugin/views/pager/PagerPluginBase.php
PagerPluginBase::$usesOptions property core/modules/views/src/Plugin/views/pager/PagerPluginBase.php Denotes whether the plugin has an additional options form.
PagerPluginBase::executeCountQuery function core/modules/views/src/Plugin/views/pager/PagerPluginBase.php Executes the count query.
PagerPluginBase::exposedFormAlter function core/modules/views/src/Plugin/views/pager/PagerPluginBase.php
PagerPluginBase::exposedFormSubmit function core/modules/views/src/Plugin/views/pager/PagerPluginBase.php
PagerPluginBase::exposedFormValidate function core/modules/views/src/Plugin/views/pager/PagerPluginBase.php
PagerPluginBase::getCurrentPage function core/modules/views/src/Plugin/views/pager/PagerPluginBase.php Get the current page.
PagerPluginBase::getHeadingLevel function core/modules/views/src/Plugin/views/pager/PagerPluginBase.php Get the pager heading tag.
PagerPluginBase::getItemsPerPage function core/modules/views/src/Plugin/views/pager/PagerPluginBase.php Get how many items per page this pager will display.
PagerPluginBase::getOffset function core/modules/views/src/Plugin/views/pager/PagerPluginBase.php Get the page offset, or how many items to skip.
PagerPluginBase::getPagerId function core/modules/views/src/Plugin/views/pager/PagerPluginBase.php Get the pager id, if it exists.
PagerPluginBase::getTotalItems function core/modules/views/src/Plugin/views/pager/PagerPluginBase.php Get the total number of items.
PagerPluginBase::hasMoreRecords function core/modules/views/src/Plugin/views/pager/PagerPluginBase.php Determine if there are more records available.
PagerPluginBase::isOffsetExposed function core/modules/views/src/Plugin/views/pager/PagerPluginBase.php
PagerPluginBase::itemsPerPageExposed function core/modules/views/src/Plugin/views/pager/PagerPluginBase.php
PagerPluginBase::postExecute function core/modules/views/src/Plugin/views/pager/PagerPluginBase.php Perform any needed actions just after the query executing.
PagerPluginBase::preExecute function core/modules/views/src/Plugin/views/pager/PagerPluginBase.php Perform any needed actions just prior to the query executing.
PagerPluginBase::preRender function core/modules/views/src/Plugin/views/pager/PagerPluginBase.php Perform any needed actions just before rendering.
PagerPluginBase::query function core/modules/views/src/Plugin/views/pager/PagerPluginBase.php Modify the query for paging.
PagerPluginBase::render function core/modules/views/src/Plugin/views/pager/PagerPluginBase.php Return the renderable array of the pager.
PagerPluginBase::setCurrentPage function core/modules/views/src/Plugin/views/pager/PagerPluginBase.php Set the current page.
PagerPluginBase::setHeadingLevel function core/modules/views/src/Plugin/views/pager/PagerPluginBase.php Set the pager heading.
PagerPluginBase::setItemsPerPage function core/modules/views/src/Plugin/views/pager/PagerPluginBase.php Set how many items per page this pager will display.
PagerPluginBase::setOffset function core/modules/views/src/Plugin/views/pager/PagerPluginBase.php Set the page offset, or how many items to skip.
PagerPluginBase::submitOptionsForm function core/modules/views/src/Plugin/views/pager/PagerPluginBase.php Provide the default form for submitting options.
PagerPluginBase::summaryTitle function core/modules/views/src/Plugin/views/pager/PagerPluginBase.php Returns a string to display as the clickable title for the pager plugin.
PagerPluginBase::updatePageInfo function core/modules/views/src/Plugin/views/pager/PagerPluginBase.php Updates the pager information.
PagerPluginBase::useCountQuery function core/modules/views/src/Plugin/views/pager/PagerPluginBase.php Determine if a pager needs a count query.
PagerPluginBase::usePager function core/modules/views/src/Plugin/views/pager/PagerPluginBase.php Determine if this pager actually uses a pager.
PagerPluginBase::usesExposed function core/modules/views/src/Plugin/views/pager/PagerPluginBase.php
PagerPluginBase::validateOptionsForm function core/modules/views/src/Plugin/views/pager/PagerPluginBase.php Provide the default form for validating options.
PagerPluginBaseTest class core/modules/views/tests/src/Unit/Plugin/pager/PagerPluginBaseTest.php @coversDefaultClass \Drupal\views\Plugin\views\pager\PagerPluginBase[[api-linebreak]]
@group views
PagerPluginBaseTest.php file core/modules/views/tests/src/Unit/Plugin/pager/PagerPluginBaseTest.php
PagerPluginBaseTest::$pager property core/modules/views/tests/src/Unit/Plugin/pager/PagerPluginBaseTest.php The mock pager plugin instance.
PagerPluginBaseTest::providerTestHasMoreRecords function core/modules/views/tests/src/Unit/Plugin/pager/PagerPluginBaseTest.php Provides test data for the hasMoreRecord method test.
PagerPluginBaseTest::setUp function core/modules/views/tests/src/Unit/Plugin/pager/PagerPluginBaseTest.php
PagerPluginBaseTest::testExecuteCountQueryWithOffset function core/modules/views/tests/src/Unit/Plugin/pager/PagerPluginBaseTest.php Tests the executeCountQuery method with a set offset.
PagerPluginBaseTest::testExecuteCountQueryWithOffsetLargerThanResult function core/modules/views/tests/src/Unit/Plugin/pager/PagerPluginBaseTest.php Tests the executeCountQuery method with an offset larger than result count.
PagerPluginBaseTest::testExecuteCountQueryWithoutOffset function core/modules/views/tests/src/Unit/Plugin/pager/PagerPluginBaseTest.php Tests the executeCountQuery method without a set offset.
PagerPluginBaseTest::testGetCurrentPage function core/modules/views/tests/src/Unit/Plugin/pager/PagerPluginBaseTest.php Tests the getCurrentPage() method.
PagerPluginBaseTest::testGetItemsPerPage function core/modules/views/tests/src/Unit/Plugin/pager/PagerPluginBaseTest.php Tests the getItemsPerPage() method.

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.